import { ApolloClient, ApolloQueryResult, MutationOptions, QueryOptions } from "apollo-client";
import { FetchResult } from "apollo-link";
import { IRecordLockingClient } from "./abstractions/IRecordLockingClient";
export interface IRecordLockingClientParams {
    client: ApolloClient<any>;
}
export declare class RecordLockingClient implements IRecordLockingClient {
    private readonly client;
    constructor(params: IRecordLockingClientParams);
    query<T, R>(params: QueryOptions<R>): Promise<ApolloQueryResult<T>>;
    mutation<T, R>(options: MutationOptions<T, R>): Promise<FetchResult<T>>;
}
